Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class FixedDelayRetryPolicy

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.txtimer.FixedDelayRetryPolicy

All Implemented Interfaces:
  FixedDelayRetryPolicyMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, RetryPolicy, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class FixedDelayRetryPolicy
extends org.jboss.system.ServiceMBeanSupport
implements FixedDelayRetryPolicyMBean

This service implements a RetryPolicy that retries the call to ejbTimeout after a fixed delay.

Since:
  07-Apr-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ejb.txtimer.FixedDelayRetryPolicyMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`FixedDelayRetryPolicy()`

Method Summary
`long` | `getDelay()` Get the delay for retry
`void` | `retryTimeout(TimedObjectInvoker invoker, javax.ejb.Timer timer)` Invokes the ejbTimeout method on the TimedObject with the given id.
`void` | `setDelay(long delay)` Set the delay for retry

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### FixedDelayRetryPolicy

    public FixedDelayRetryPolicy()

Method Detail

### getDelay

    public long getDelay()

  Get the delay for retry

  Specified by:
    `getDelay` in interface `FixedDelayRetryPolicyMBean`
  Returns:
    delay in ms

### setDelay

    public void setDelay(long delay)

  Set the delay for retry

  Specified by:
    `setDelay` in interface `FixedDelayRetryPolicyMBean`
  Parameters:
    `delay` - in ms

### retryTimeout

    public void retryTimeout(TimedObjectInvoker invoker,
                             javax.ejb.Timer timer)

  Invokes the ejbTimeout method on the TimedObject with the given id.

  Specified by:
    `retryTimeout` in interface `FixedDelayRetryPolicyMBean`
  Parameters:
    `invoker` - The invoker for the TimedObject
    `timer` - the Timer that is passed to ejbTimeout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.